package com.jiuqi.dna.ide.designer.workflow;

import com.jiuqi.dna.ide.designer.elements.IDesignerElement;
import com.jiuqi.dna.ide.designer.elements.IRootElement;
import com.jiuqi.dna.ide.designer.events.ICompositeListener;
import com.jiuqi.dna.ide.designer.events.IDesignerElementListener;
import com.jiuqi.dna.ide.designer.events.IFigureListener;
import com.jiuqi.dna.ide.designer.events.ISelectionListener;
import org.eclipse.jface.action.IAction;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Composite;

/* loaded from: com_jiuqi_dna_ide_designer_workflow.jar:com/jiuqi/dna/ide/designer/workflow/WorkflowDesignerComponent.class */
public class WorkflowDesignerComponent extends Composite {
    protected WorkflowDesigner workflowDesigner;

    public WorkflowDesignerComponent(Composite parent, int style) {
        super(parent, style);
        setLayout(new FillLayout());
        this.workflowDesigner = new WorkflowDesigner();
        this.workflowDesigner.createPartControl(this);
    }

    public WorkflowDesignerComponent(Composite parent, int style, int paletteDockPosition) {
        super(parent, style);
        setLayout(new FillLayout());
        this.workflowDesigner = new WorkflowDesigner();
        this.workflowDesigner.setPaletteDockPosition(paletteDockPosition);
        this.workflowDesigner.createPartControl(this);
    }

    public void addDesignerElementListener(IDesignerElementListener listener) {
        this.workflowDesigner.addDesignerElementListener(listener);
    }

    public void removeDesignerElementListener(IDesignerElementListener listener) {
        this.workflowDesigner.removeDesignerElementListener(listener);
    }

    public void addFigureListener(IFigureListener listener) {
        this.workflowDesigner.addFigureListener(listener);
    }

    public void removeFigureListener(IFigureListener listener) {
        this.workflowDesigner.removeFigureListener(listener);
    }

    public void addCompositeListener(ICompositeListener listener) {
        this.workflowDesigner.addCompositeListener(listener);
    }

    public void removeCompositeListener(ICompositeListener listener) {
        this.workflowDesigner.removeCompositeListener(listener);
    }

    public void addSelectionListener(ISelectionListener listener) {
        this.workflowDesigner.addSelectionListener(listener);
    }

    public void removeSelectionListener(ISelectionListener listener) {
        this.workflowDesigner.removeSelectionListener(listener);
    }

    public IRootElement getRootElement() {
        return this.workflowDesigner.getRootElement();
    }

    public <T extends IDesignerElement> T createElement(Class<T> cls) {
        return (T) this.workflowDesigner.createElement(cls);
    }

    public void setRootElement(IRootElement rootElement) {
        this.workflowDesigner.setRootElement(rootElement);
    }

    public void addSelectedElement(IDesignerElement element) {
        this.workflowDesigner.addSelectedElement(element);
    }

    public void addSelectedElements(IDesignerElement[] elements) {
        this.workflowDesigner.addSelectedElements(elements);
    }

    public IDesignerElement[] getSelectedElements() {
        return this.workflowDesigner.getSelectedElements();
    }

    public void setSelectedElement(IDesignerElement element) {
        this.workflowDesigner.setSelectedElement(element);
    }

    public void setSelectedElements(IDesignerElement[] elements) {
        this.workflowDesigner.setSelectedElements(elements);
    }

    public void removeSelectedElement(IDesignerElement element) {
        this.workflowDesigner.removeSelectedElement(element);
    }

    public void addContextMenuAction(String groupName, IAction action, int type) {
        this.workflowDesigner.addContextMenuAction(groupName, action, type);
    }

    public IAction removeContextMenuAction(String groupName, String actionId) {
        return this.workflowDesigner.removeContextMenuAction(groupName, actionId);
    }

    public IAction[] removeContextMenuGroup(String groupName) {
        return this.workflowDesigner.removeContextMenuGroup(groupName);
    }

    public String[] getMenuGroupNames() {
        return this.workflowDesigner.getMenuGroupNames();
    }

    public IAction[] getMenuGroup(String groupName) {
        return this.workflowDesigner.getMenuGroup(groupName);
    }

    public boolean isReadOnly() {
        return this.workflowDesigner.isReadOnly();
    }

    public void setReadOnly(boolean readOnly) {
        this.workflowDesigner.setReadOnly(readOnly);
    }
}
